import request from '@/utils/request'

export function findAll(params) {
    return request({
        url: '/knowledge/system/course/findAll',
        method: 'get',
        params
    })
}

export function deleteBatch(ids) {
    return request({
        url: '/knowledge/system/course/delete?idList=' + ids,
        method: 'post',

    })
}

export function findOne(id) {
    return request({
        url: '/knowledge/system/course/findOne?id=' + id,
        method: 'get'
    })
}
export function courseInsert(data) {
    return request({
        url: '/knowledge/system/course/insert',
        method: 'post',
        data
    })
}
export function courseUpdate(data) {
    return request({
        url: '/knowledge/system/course/update',
        method: 'post',
        data
    })
}
